/* maker options.
COMPILER=g++ -O2 -Wall
MAINFILE=maker.cpp
MAKER_ADD_DEPENDENCY="maker.h"
NOFILE
*/

/************ file.h **************
$Revision: 1.10 $
$Author: pb $
$Date: 2001/05/09 12:10:56 $
***********************************/

#include <stdio.h>
#include "maker.h"

/**
   @param argc The number of arguments to the executable.
   @param argv The arguments to the executable.
   @return -1 if something fails else zero.
*/
int main(int argc, char **argv)
{
  printf("Maker v1.0 by Philip Bergen (pb@instadia.net).\n");

  /* parse the options */
  OptionReader *opt=new OptionReader(argc,argv);

  if (argc<2)
    {
      opt->displayHelp();
      delete opt;
      return 0;
    }

  Maker *maker=new Maker(opt);

  maker->resolveDependencies();
  if (!maker->generateMakescript())
    {
      printf("Cannot open makescript (%s) for writing.\n",
	     opt->getMakescript());
      return -1;
    }
  if (!maker->generateDotOutput())
    {
      printf("Cannot open dotoutput file (%s) for writing.\n",
	     opt->getDotoutput());
    }
  
  /* clean up */
  delete fileRoot;
  delete maker;
  delete opt;

  return 0;
}

/*************** LOG *****************
$Log: maker.cpp,v $
Revision 1.10  2001/05/09 12:10:56  pb
Cleaned up the source. Added new directive MAKER_ADD_DEPENDENCY.
Added documentation.

Revision 1.9  2001/05/08 18:13:41  pb
Niced the comments and added return 0 if help is displayed.

Revision 1.8  2001/05/08 18:10:18  pb
Fixed a couple of bugs.

Revision 1.7  2001/05/08 14:21:28  pb
Works 100% and lots of new features.

Revision 1.6  2001/05/07 17:17:15  pb
It really works!

Revision 1.5  2001/04/28 14:35:10  pb
Added dot-output.

Revision 1.4  2001/04/28 10:11:19  pb
A -perhaps- working version.

Revision 1.3  2001/04/27 14:23:36  pb
It seems to start working. But there is a bug in building dependencies.

Revision 1.2  2001/04/27 13:49:28  pb
Added headers and footers.

*************************************/
